# Contribution Guidelines

## New entry format

* Use the following format: \[LIBRARY\]\(LINK\) - DESCRIPTION
* The link should be the name of the package or project
* Provide a stars badge and last commit badge when possible.
* Lists are sorted by number of stars then alphabetically.
* Keep descriptions concise, clear and simple
* New categories, or improvements to the existing ones are also welcome

## Pull requests workflow

* **Submit one pull request with one link per PR.** If you want to add several links, you should create PR for each link, unless all of the proposed projects are belong to the same category. Pull request should have meaningful description what this project do, why do you want to add it to the list and any other info which might be useful. This will help maintainers with the review process.
* **Include a link to the added project in the PR description.** This will greatly improve email messages received by all of the people watching this repository.

## Research projects

If you are to include a research or academic project, please use the `**[Research]**` tag.

## Proprietary/commercial software notice

We have additional requirements for proprietary and commercial projects:

* You should add `**[$]**` tag to the end of the description block (in bold)
* If project is proprietary but still free to use, instead if `**[$]**` tag, please add `**[Proprietary]**` and `**[Free]**` tags.
* If project has free for OSS version, please add `**[Free for OSS]**` tag to the end of the description (in bold)

Thanks to all [contributors](https://github.com/scottkuhl/awesome-winui/graphs/contributors), you're awesome and wouldn't be possible without you!
